org.bdgenomics.adam.models

# ReferencePosition

#### object ReferencePosition extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReferencePosition
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val UNMAPPED: ReferencePosition

   The UNMAPPED value is a convenience value, which can be used to indicate a position which is not located anywhere along the reference sequences (see, e.

   The UNMAPPED value is a convenience value, which can be used to indicate a position which is not located anywhere along the reference sequences (see, e.g. its use in GenomicPositionPartitioner).

7. #### def apply(pileup: Pileup): ReferencePosition

   Generates a reference position from a pileup base.

   Generates a reference position from a pileup base. Pileups are mapped by definition, so no option wrapper is required.

   pileup

     A single pileup base.

   returns

     The reference position of this pileup.

8. #### def apply(genotype: Genotype): ReferencePosition

   Generates a reference position from a genotype.

   Generates a reference position from a genotype.

   genotype

     Genotype from which to generate a reference position.

   returns

     The reference position of this genotype.

   Note

     An invariant of genotypes is that they have a defined position, therefore we do not wrap them in an option.

9. #### def apply(variant: Variant): ReferencePosition

   Generates a reference position from a called variant.

   Generates a reference position from a called variant.

   variant

     Called variant from which to generate a reference position.

   returns

     The reference position of this variant.

   Note

     An invariant of variants is that they have a defined position, therefore we do not wrap them in an option.

10. #### def apply(record: AlignmentRecord): Option[ReferencePosition]

    Generates a reference position from a read.

    Generates a reference position from a read. This function generates the position from the start mapping position of the read.

    record

      Read from which to generate a reference position.

    returns

      Reference position wrapped inside of an option. If the read is mapped, the option will be stuffed, else it will be empty (None).

    See also

      fivePrime

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def fivePrime(record: AlignmentRecord): Option[ReferencePosition]

    Generates a reference position from the five prime end of a read.

    Generates a reference position from the five prime end of a read. This will be different from the start mapping position of a read if this read is a reverse strand read.

    record

      Read from which to generate a reference position.

    returns

      Reference position wrapped inside of an option. If the read is mapped, the option will be stuffed, else it will be empty (None).

    See also

      apply(record: Read)

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def mappedPositionCheck(record: AlignmentRecord): Boolean

    Checks to see if a read is mapped with a valid position.

    Checks to see if a read is mapped with a valid position.

    record

      Read to check for mapping.

    returns

      True if read is mapped and has a valid position, else false.

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped